Name:		magicollectd
Version:	1.0
Release:	4%{?dist}
Summary:	Collects metrics and dispatch them to monitoring systems.

Group:		Applications/System
License:	GPL
URL:		http://www.magic.fr
Source0:	%{name}-%{version}.tar.gz
Requires:	rrdtool sudo magicresolver >= 0.3
Requires:   libtool-ltdl protobuf-c pwgen
Provides:   collectd
Provides:   perl-Collectd
Provides:   perl(Collectd)

%description
Deploys and configure a customized collectd deamon.

%prep
%setup -q 

%build

%pre
if [ "$1" = "1" ]; then
    mkdir -p /usr/local/monitoring/collectd
elif [ "$1" = "2" ]; then
    echo "collectd and other directories are still present"
    echo "You should: # rm -vfr /usr/local/monitoring/collectd/"
fi                                                

# Killing raw collectd  process if any
echo "Killing Collectd Process"
kill -9 `pidof collectd` > /dev/null 2>&1; 

# Dummy local log file
if [ -d /usr/local/monitoring/var/log/ ]; then
    touch /usr/local/monitoring/var/log/collectd.log
else
    mkdir -p /usr/local/monitoring/var/log/
    touch /usr/local/monitoring/var/log/collectd.log
fi

%preun
echo "stopping collectd daemon"
if [ -f "/etc/init.d/magicollectd" ]; then 
     /etc/init.d/magicollectd stop 2>/dev/null
     echo "wait 2 seconds ..."
     sleep 2
fi


%postun
echo "WARNING: MagiCollectd: Complete Uninstallation"
echo -e "1) You likely need to check if /usr/local/monitoring/collectd/ is really removed"
# Do not use this as this might raise a version conflict using yum remove
#if [ -d "/usr/local/monitoring/collectd" ]; then
#    rm -rf /usr/local/monitoring/collectd
#fi

%install
mkdir -p $RPM_BUILD_ROOT/usr/local/monitoring
mkdir -p $RPM_BUILD_ROOT/usr/local/monitoring/collectd
mkdir -p $RPM_BUILD_ROOT/usr/local/monitoring/collectd/sbin
mkdir -p $RPM_BUILD_ROOT/usr/local/monitoring/collectd/web
mkdir -p $RPM_BUILD_ROOT/etc/sudoers.d
mkdir -p $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc
mkdir -p $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/collectd.d
mkdir -p $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic
mkdir -p $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/thresholds
mkdir -p $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/user.d/
mkdir -p $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/faulty
mkdir -p $RPM_BUILD_ROOT/usr/local/monitoring/collectd/lib/collectd/python
mkdir -p $RPM_BUILD_ROOT/usr/share/magicollectd/ 
mkdir -p $RPM_BUILD_ROOT/usr/local/monitoring/var/log/
mkdir -p $RPM_BUILD_ROOT/usr/local/monitoring/collectd/share/collectd/
mkdir -p $RPM_BUILD_ROOT/usr/local/monitoring/collectd/lib/collectd/perl
install -p -m 755 collectd_main.tar.gz $RPM_BUILD_ROOT/usr/local/monitoring/collectd/collectd_main.tar.gz
install -p -m 400 sudo-collectd.conf $RPM_BUILD_ROOT/etc/sudoers.d/sudo-collectd.conf
install -p -m 755 trash/partitions_state.py $RPM_BUILD_ROOT/usr/local/monitoring/collectd/lib/collectd/python/partitions_state.py
install -p -m 755 trash/write_check.py $RPM_BUILD_ROOT/usr/local/monitoring/collectd/lib/collectd/python/write_check.py
install -p -m 755 df.pl $RPM_BUILD_ROOT/usr/local/monitoring/collectd/sbin/df.pl
install -p -m 755 magicip $RPM_BUILD_ROOT/usr/local/monitoring/collectd/sbin/magicip
install -p -m 755 sugra.sh $RPM_BUILD_ROOT/usr/local/monitoring/collectd/sbin/sugra.sh
install -p -m 755 argus.sh $RPM_BUILD_ROOT/usr/local/monitoring/collectd/sbin/argus.sh
install -p -m 755 trash/postfix.py $RPM_BUILD_ROOT/usr/local/monitoring/collectd/lib/collectd/python/postfix.py
install -p -m 644 trash/postfix_python.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/faulty/postfix_python.conf
install -p -m 644 postfix_tail.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/postfix_tail.conf
install -p -m 644 collectd.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/collectd.conf
install -p -m 644 collectd.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/collectd.conf.magic
install -p -m 644 write_graphite.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/collectd.d/write_graphite.conf
install -p -m 644 apache.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/apache.conf
install -p -m 644 disk.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/disk.conf
install -p -m 644 disk-DRDY-err-tail.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/disk-DRDY-err-tail.conf
install -p -m 644 exec.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/exec.conf
install -p -m 644 interface.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/interface.conf
install -p -m 644 filecount.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/filecount.conf
install -p -m 644 memcached.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/memcached.conf
install -p -m 644 mysql.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/mysql.conf
install -p -m 644 thresholds/apache-threshold.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/thresholds/apache-threshold.conf
install -p -m 644 thresholds/argus-threshold.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/thresholds/argus-threshold.conf
install -p -m 644 thresholds/argusmono-threshold.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/thresholds/argusmono-threshold.conf
install -p -m 644 thresholds/sugra-threshold.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/faulty/sugra-threshold.conf
install -p -m 644 thresholds/pping-threshold.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/thresholds/pping-threshold.conf
install -p -m 644 thresholds/forks-threshold.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/thresholds/forks-threshold.conf
install -p -m 644 thresholds/mysql-threshold.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/thresholds/mysql-threshold.conf
install -p -m 644 thresholds/ntpd-threshold.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/thresholds/ntpd-threshold.conf
install -p -m 644 thresholds/postfix-threshold.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/thresholds/postfix-threshold.conf
install -p -m 644 thresholds/resolver-threshold.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/thresholds/resolver-threshold.conf
install -p -m 644 thresholds/sshd-threshold.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/thresholds/sshd-threshold.conf
install -p -m 644 thresholds/threshold.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/thresholds/threshold.conf
install -p -m 644 procs.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/procs.conf
install -p -m 644 tcp.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/tcp.conf
install -p -m 644 protocols.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/faulty/protocols.conf
install -p -m 644 swap.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/collectd.d/swap.conf
install -p -m 644 dns.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/dns.conf
install -p -m 644 ntpd.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/ntpd.conf
install -p -m 644 varnish.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/faulty/varnish.conf
install -p -m 644 riemann.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/riemann.conf
#install -p -m 644 argus_perl.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/argus_perl.conf
#install -p -m 644 argus.pm $RPM_BUILD_ROOT/usr/local/monitoring/collectd/lib/collectd/perl/argus.pm
install -p -m 644 pping.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/pping.conf
install -p -m 644 pping.pm $RPM_BUILD_ROOT/usr/local/monitoring/collectd/lib/collectd/perl/pping.pm
install -p -m 644 argus.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/argus.conf
install -p -m 644 argus_c.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/argus_c.conf
install -p -m 644 argusmono.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/magic/argusmono.conf
install -p -m 644 sugra.conf $RPM_BUILD_ROOT/usr/local/monitoring/collectd/etc/faulty/sugra.conf
install -p -m 755 first-install.sh $RPM_BUILD_ROOT/usr/share/magicollectd/first-install.sh
install -p -m 755 clean-first-install.sh $RPM_BUILD_ROOT/usr/share/magicollectd/clean-first-install.sh
install -p -m 644 types.db $RPM_BUILD_ROOT/usr/local/monitoring/collectd/share/collectd/types.db

%post
#if [ "$1" = "1" ]; then
    sh /usr/share/magicollectd/first-install.sh
    sleep 1

    # Check libprotobuf presence
    checkbuf=`ls -lash /usr/lib64/libprotobuf-c.so.1 | awk '{print \$12}'`
    if [ "${checkbuf}" != "/usr/lib64/libprotobuf-c.so.0" ]; then       
        echo "Trying to symling libprotobuf"
        ln -s /usr/lib64/libprotobuf-c.so.0 /usr/lib64/libprotobuf-c.so.1
    else
            echo "libprotobuf is already symlinked.. It is okay."
    fi
    
    # Force Magic Collectd Conf
    echo yes | cp /usr/local/monitoring/collectd/etc/collectd.conf.magic /usr/local/monitoring/collectd/etc/collectd.conf

    # deploying the init file
    if [ -f "/etc/init.d/mgcollectd" ]; then
        rm -f /etc/init.d/mgcollectd
    fi
    if [ -f "/etc/init.d/magicollectd" ]; then
        rm -f /etc/init.d/magicollectd
    fi
    if [ -f "/etc/init.d/collectdgentoo" ]; then
        rm -f /etc/init.d/collectdgentoo
    fi
    mv -f /usr/local/monitoring/collectd/main/mgcollectd /etc/init.d/magicollectd
    chmod +x /etc/init.d/magicollectd
    chkconfig magicollectd on

#elif [ "$1" = "2" ]; then
   # echo "We don't need to generate the collectd data again."
   # echo "We need to restart collectd for a new config."
    #service magicollectd restart > /dev/null
#fi

# Copy Collectd.pm module for perl
mkdir -p /usr/local/monitoring/collectd/share/perl5/
mkdir -p /usr/local/monitoring/collectd/lib/collectd/perl/
mkdir -p /usr/local/share/perl5/
echo yes | cp /usr/local/monitoring/collectd/share/perl5/Collectd.pm /usr/local/monitoring/collectd/lib/collectd/perl/Collectd.pm || echo -e "Collectd.pm was not copied!\n"
echo yes | cp /usr/local/monitoring/collectd/share/perl5/Collectd.pm /usr/local/share/perl5/

# Logrotate
if [ ! -f "/etc/logrotate.d/collectd" ]; then
    mkdir -p /etc/logrotate.d/
cat << EOF > /etc/logrotate.d/collectd
/var/log/collectd.log {
daily
rotate 10
delaycompress
compress
notifempty
missingok
}
EOF
fi

# Modify hostname in collectd.conf - run df.pl - Change Mysql socket if needed
if [ -f /usr/local/monitoring/collectd/etc/collectd.conf ]; then
    HOSTNAME=`hostname -s`
    HSUFFIX='.magic.fr'
    HOSTNAME_FULL=`hostname -f`
    HOSTNAME_DEFAULT=`hostname`
    # identifying the server
    #IP=$(ifconfig | grep -E 'inet a?d?d?r?' -m1 | awk '{print $2}' | sed -e 's/[adr:]//g')
    IP=$(bash /usr/local/monitoring/collectd/sbin/magicip)
    if [ -n "$(hostname -s | grep ^srv[0-9].*$)" ]; then          
        echo -e "changing hostname from localhost to ${HOSTNAME}"
        sed -i -e "s/localhost/${HOSTNAME}/g" /usr/local/monitoring/collectd/etc/collectd.conf
    elif [ -n "$(hostname -f | grep .*\.magic.*.fr$)" ] || [ -n "$(hostname | grep .*\.magic.*.fr$)" ] || [ -n "$(hostname | grep .*\.magic.*.net$)" ]; then
        echo -e "changing hostname from localhost to ${HOSTNAME_FULL}"
        sed -i -e "s/localhost/${HOSTNAME_FULL}/g" /usr/local/monitoring/collectd/etc/collectd.conf
    else
        echo -e "changing hostname from localhost to ${IP}"
        sed -i -e "s/localhost/${IP}/g" /usr/local/monitoring/collectd/etc/collectd.conf
    fi

    if [ -f /usr/local/monitoring/collectd/sbin/df.pl ]; then
        perl /usr/local/monitoring/collectd/sbin/df.pl > /usr/local/monitoring/collectd/etc/collectd.d/df.conf
    else
        echo "No df.conf was generated. run it manually and restart magicollectd."
    fi
    if [ -d /usr/local/monitoring/collectd/var/lib/collectd/localhost ] && [ -z "$(echo ${HOSTNAME} | grep ^localhost)" ]; then
        rm -rf /usr/local/monitoring/collectd/var/lib/collectd/localhost/ 2>/dev/null
    else
        echo "MGC Warning: /usr/local/monitoring/collectd/var/lib/collectd/localhost/ is not a directory or absent"
    fi
fi

# Modify argus.conf with the correct ip
if [ -f /usr/local/monitoring/collectd/sbin/argus.sh ]; then
    bash /usr/local/monitoring/collectd/sbin/argus.sh
else
    echo "No argus*.conf was generated. run it manually and restart magicollectd."
fi  
sleep 2
sh /usr/share/magicollectd/clean-first-install.sh
echo "Magic Online Collectd based on collectd 5.4.1"
/etc/init.d/magicollectd restart
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
#%config(noreplace)/usr/local/monitoring/collectd/collectd_main.tar.gz
%config(noreplace)/etc/sudoers.d/sudo-collectd.conf
#%config(noreplace)/usr/local/monitoring/collectd/etc/collectd.conf
#%config(noreplace)/usr/local/monitoring/collectd/etc/collectd.d/write_check.conf
#%config(noreplace)/usr/local/monitoring/collectd/etc/collectd.d/partitions_state.conf
#%config(noreplace)/usr/local/monitoring/collectd/etc/collectd.d/postfix_python.conf
#%config(noreplace)/usr/local/monitoring/collectd/lib/collectd/python/partitions_state.py
#%config(noreplace)/usr/local/monitoring/collectd/lib/collectd/python/write_check.py
#%config(noreplace)/usr/local/monitoring/collectd/lib/collectd/python/postfix.py
#%config(noreplace)/usr/local/monitoring/collectd/etc/collectd.d/apache.conf
#%config(noreplace)/usr/local/monitoring/collectd/etc/collectd.d/disk.conf
#%config(noreplace)/usr/local/monitoring/collectd/etc/collectd.d/disk-DRDY-err-tail.conf
#%config(noreplace)/usr/local/monitoring/collectd/etc/collectd.d/exec.conf
#%config(noreplace)/usr/local/monitoring/collectd/etc/collectd.d/interface.conf
#%config(noreplace)/usr/local/monitoring/collectd/etc/collectd.d/memcached.conf
#%config(noreplace)/usr/local/monitoring/collectd/etc/magic/mysql.conf
#%config(noreplace)/usr/local/monitoring/collectd/etc/magic/postfix_tail.conf
#%config(noreplace)/usr/local/monitoring/collectd/etc/collectd.d/procs.conf
#%config(noreplace)/usr/local/monitoring/collectd/etc/collectd.d/protocols.conf
#%config(noreplace)/usr/local/monitoring/collectd/etc/collectd.d/swap.conf
#%config(noreplace)/usr/local/monitoring/collectd/etc/collectd.d/ntpd.conf
#%config(noreplace)/usr/local/monitoring/collectd/etc/collectd.d/dns.conf
#%config(noreplace)/usr/local/monitoring/collectd/etc/magic/thresholds/threshold.conf
#%config(noreplace)/usr/local/monitoring/collectd/etc/magic/argus_perl.conf
#%config(noreplace)/usr/local/monitoring/collectd/etc/magic/argus.conf
#%config(noreplace)/usr/local/monitoring/collectd/etc/collectd.d/varnish.conf

/usr/share/magicollectd/
/usr/local/monitoring/collectd/
/usr/local/monitoring/collectd/etc/
/usr/local/monitoring/collectd/sbin/
/usr/local/monitoring/var/log/
/usr/local/monitoring/collectd/share/
/usr/local/monitoring/collectd/share/collectd/
/etc/sudoers.d
/usr/local/monitoring/collectd/lib/collectd/python/
/usr/local/monitoring/collectd/etc/collectd.d/
/usr/local/monitoring/collectd/etc/magic/
/usr/local/monitoring/collectd/etc/magic/thresholds/
/usr/local/monitoring/collectd/etc/faulty/
/usr/share/magicollectd/

%changelog
* Thu Jan 29 2015 Hanine HAMZIOUI <hhamzioui@magic.fr> 1.0.4
- pping.pm refactored
- ntpd warning decreased to -25
* Thu Jan 22 2015 Hanine HAMZIOUI <hhamzioui@magic.fr> 1.0.3
- magicip script to fetch ip with no regard to net-device
* Tue Jan 20 2015 Hanine HAMZIOUI <hhamzioui@magic.fr> 1.0.2
- Do not restart MySQL at any moment!
* Thu Jan 15 2015 Hanine HAMZIOUI <hhamzioui@magic.fr> 1.0.1
- NTPD warning reduced to -20
- argus.sh now handles full hostname when hostname -f is null
* Thu Jan 08 2015 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.996
- Added back the types.db mailcounter entry check
* Thu Jan 08 2015 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.995
- Support for Gentoo is no more
- Support for CGP is no more - Use magicgp RPM instead
- Minimal number of Filecount checked folders
- No more support for unbound.sh
- Unused plugins moved to etc/faulty
- Deactivate pping plugin completely
* Mon Dec 22 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.993
- Persistence FIX: Riemann TTL set to 900s
- Threshold Hits to 900s
* Thu Dec 18 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.992
- Argus through Exec plugin. With Hits enabled on argusmono
- Postfix threshold deactivated if machine is Gentoo
* Thu Dec 18 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.99
- Thresholds for filecount and df inodes. OKAY
- Disabled Argusmono Interesting property
- First Install - Check /root/.rootdbpass
- Minor checks for Gentoo - libprotobuf, MySQL, SSL
- Syntax error in first-install
* Tue Dec 16 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.96
- Snapshot of filecount threshold - Collectd BUG issues/865
- No HTTPD restart detected
* Fri Dec 12 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.95
- If the machine is a MySQL SLAVE do not create DB user/pass
- magicinfra.net added to supported hostnames
* Fri Dec 12 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.93
- Hits pushed to 15 minutes except for argus
* Fri Dec 05 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.92
- No Hysterisis in basic thresholds
* Fri Nov 28 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.90
- Local RRD are disabled by default
* Tue Nov 18 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.84
- Minor CGP vhost check
* Fri Nov 07 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.83
- pping.pm retested
* Thu Nov 06 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.82
- write_graphite sends to carbon1.magic.fr
* Tue Nov 04 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.81
- Reverted back to old version of pping with changes
- write_graphite reverted to original value
- write_graphite is now stored in etc/collectd.d
* Wed Oct 31 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.80
- Cassandra optimization: Rise write_graphite Interval to 60
- New collectd binary with argusmono plugin
- argusmono enabled (Need to disable argus_c in next release)
- Minor CGP check
- CLeaning Binary folders.
- argus_c desactivated for argusmono
* Wed Oct 29 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.13
- Stable PRE-PROD 0.9.13
* Tue Oct 28 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.12
- Corrected threshold for argus_c as well as f.hostname
- After yum update CGP was removed and not replaced.
- Second Check for CGP monitoring/collectd/web/
- Apache restart for GEntoo
* Tue Oct 20 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.8
- new pping with server list file not found exception handled
* Tue Oct 17 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.7
- FPING status by Host as modified by adnane - pping
* Tue Oct 16 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.6
- Snapshot of argus_c & fping as pping
* Fri Sep 30 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.4
- Rewritten IP detection un argus.pm
* Fri Sep 26 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.3
- Changed Mysql Check command in first-install.sh
* Mon Sep 23 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.2
- New way to change collectd.conf hostname
* Mon Sep 22 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.9.1
- InnodbStats along with new collectd binary
* Sat Sep 20 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.8.5
- Typo in CGP.sh. CGP installs fine
* Thu Sep 18 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.8.4
- argus.pm was not able to detect em1 interface in gentoo
* Fri Sep 12 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.8.3
- Minor fixes to first-install.sh
- New way to fetch IP in argus.sh 
- Gentoo and centos - Apache root folder check in CGP.sh
- Argus port is 80 in gentoo
* Thu Sep 11 2014 Alexandre LEGRIX <alegrix@magic.fr> 0.8-2
- Fix gentoo support
* Thu Sep 11 2014 Alexandre LEGRIX <alegrix@magic.fr> 0.8-1
- Add first gentoo support release
* Wed Sep 10 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.7-7
- Added an empty folder for user configurations =  user.d
* Wed Sep 10 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.7-6
- Argus should not have a threshold hit
* Wed Sep 10 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.7-5
- All Thresholds  in one folder separated by component
- httpd added to ps_count notification in apache-threshold
- All thresholds set to true with differents hits
- When no httpd and mysqld present, disable plugin and thresholds
* Wed Sep 10 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.7-4
- Requires pwgen
* Tue Sep 09 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.7-3
- Riemann into production
- Argus plugin rewritten in perl
- Provides perl Collectd dependency
- Argus threshold activated
* Wed Sep 03 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.6-7
- Typo in spec voided argus.conf
- Update forced successfully
* Wed Sep 03 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.6-6
- force update
- force argus.conf
- added argus.conf and argus.sh to get Public IP
* Wed Sep 03 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.6-5
- added argus.conf and argus.sh to get Public IP
* Wed Sep 03 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.6-4
- thresholds : Type needs quoted string
* Fri Aug 29 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.6-3
- What if mysqld was down?
* Wed Aug 27 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.6-2
- Mysql.conf Master set to true - tested
* Tue Aug 26 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.6-1
- Riemann plugin tested and activated
- No bugs detected through the whole chain
* Tue Aug 26 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.5-7
- Final Mysql.conf review
* Tue Aug 26 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.5-6
- Activated thresholds
- Optimized mysql conf checking in first-install.sh
* Mon Aug 25 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.5-5
- Tested version without riemann and threshold
* Fri Aug 22 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.5-4
- Debug types.db
* Fri Aug 22 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.5-3
- Debug preun
* Fri Aug 22 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.5-1
- Activate riemann
* Tue Aug 19 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.4-16
- Typo in Requires
* Tue Aug 19 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.4-15
- MagicRPM should not be in Requires but in cookbook.
* Mon Aug 13 2014 Alexandre Legrix <alegrix@magic.fr> 0.4-14
- fix first-install.sh
* Mon Aug 13 2014 Alexandre Legrix <alegrix@magic.fr> 0.4-13
- add more and more threshold
- new collectd binary with some github patch
* Mon Aug 12 2014 Alexandre Legrix <alegrix@magic.fr> 0.4-12
- add dns.conf
- add ntpd.conf
- modify threshold to match with process policy
* Mon Aug 12 2014 Alexandre Legrix <alegrix@magic.fr> 0.4-11
- add protobuf-c and magicrpm >0.4 in dependancy for riemann threshold alert
* Mon Aug 12 2014 Alexandre Legrix <alegrix@magic.fr> 0.4-10
- Fix fi typo
* Mon Aug 12 2014 Alexandre Legrix <alegrix@magic.fr> 0.4-9
- Fix a missing a write_riemann.so again
- uninstall part
* Mon Aug 11 2014 Alexandre Legrix <alegrix@magic.fr> 0.4-8
- Fix a missing a write_riemann.so
* Mon Aug 11 2014 Alexandre Legrix <alegrix@magic.fr> 0.4-7
- Support of write_riemann for threshold notification
- remove in collectd.conf ampq part
- add submission port in tcp.conf
- some misc improve
* Sun Aug 10 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.4-6
- No need to uninstall CGP for now
* Sun Aug 10 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.4-5
- Stop collectd before uninstalling
* Fri Aug 08 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.4-4
- changed location of df.pl
* Fri Aug 08 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.4-3
- df.pl called from the correct location and tail_postfix UP
* Fri Aug 08 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.4-2
- Activate minimal plugins with production ready conf
* Fri Aug 08 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.4-1
- Traceback version with medium setup preached by Bragon
* Wed Aug 06 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-35
- Enable Filecount
* Wed Aug 06 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-34
- Typo in spec file
* Wed Aug 06 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-33
- Rectified spec file and disabled ALPHA python plugins
* Wed Aug 06 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-32
- df plugin: ignore rootfs to prevent buggy double update
* Wed Aug 06 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-31
- Rechecked confs
* Tue Aug 05 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-30
- New collectd with amqp compiled.
* Mon Aug 04 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-29
- Restart of service should happen after installing config fil
* Fri Aug 01 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-28
- Force a complete types.db
* Fri Aug 01 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-27
- REquires added - libltdl
* Fri Aug 01 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-26
- collectd-debug.tar.gz tarred differently from collectd.tar.gz
* Fri Aug 01 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-25
- typo in hostname
* Fri Aug 01 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-24
- threshold percent_bytes corrected and rddtool modified
* Fri Aug 01 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-23
- New collectd-debug binary and Timeout 5 in collectd.conf
* Thu Jul 31 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-22
- Logrotate for collectd.log
* Wed Jul 30 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-21
- LoadPlugin users
* Wed Jul 30 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-20
- filecount with first conf
* Wed Jul 30 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-19
- processes and advanced threshold added
* Wed Jul 24 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-18
- Added basic threshold plugin configuration
* Wed Jul 24 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-17
- remove /etc/init.d/magicollectd before reinstalling it
* Wed Jul 23 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-16
- Minor correction to spec file
* Mon Jul 21 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-15
- Minor checks + service magicollectd clean
* Thu Jul 17 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-14
- Check for service magicollectd
* Thu Jul 17 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-13
- Enabled datadir in CGP conf and forced checks in installers
* Thu Jul 17 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-12
- service magicollectd restart
* Thu Jul 17 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-11
- Disabled unbound.sh in exec.conf
* Thu Jul 16 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-10
- Kill collectd before restarting it
* Thu Jul 16 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-9
- A post install instruction to kill collectd processes if any
* Thu Jul 16 2014 Adnane RABIH arabih@magic.fr> 0.3-8
- unbound plugin removed.
* Thu Jul 16 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-7
- Commented changes to revert back to 0.3-5.
* Thu Jul 16 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-6
- Additional checks for smooth RPM installation.
* Tue Jul 15 2014 Adnane RABIH <arabih@magic.fr> 0.3-5
- little spec mistake.
* Tue Jul 15 2014 Adnane RABIH <arabih@magic.fr> 0.3-4
- order in the rpm so it can be updateble.
* Tue Jul 15 2014 Adnane RABIH <arabihx@magic.fr> 0.3-3
- order in the rpm so it can be updateble.
* Tue Jul 15 2014 Adnane RABIH <arabih@magic.fr> 0.3-2
- random password for CGP, and CGP update.
* Thu Jul 10 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.3-1
- Entire refactoring of Spec file and archive structure
* Wed Jul 10 2014 Alexandre Legrix <alegrix@magic.fr> 0.2-1
- Fix carbon ip to bypass bugy haproxy
* Wed Jul 09 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 0.1-36
- Changed apache.conf URL "http://127.0.0.1/server-status?auto"
* Tue Jul 08 2014 Adnane RABIH <arabih@magic.fr> 0.1-35
- prod Ip, remove date_install/type, desabling mode_status activation 
* Mon Jun 16 2014 Adnane RABIH <arabih@magic.fr> 0.1-34
- add processes natif module to collectd.d, unbound conf
* Thu Jun 12 2014 Adnane RABIH <arabih@magic.fr> 0.1-33
- postinstall errors rectified (mysql, df, exec), removed non lamp plugs
* Tue Jun 10 2014 Adnane RABIH <arabih@magic.fr> 0.1-32
- sed to insert db credentials to mysql.conf
* Mon Jun 09 2014 Adnane RABIH <arabih@magic.fr> 0.1-31
- sed to adapt the graphite prefix for LAMP
* Mon Jun 09 2014 Adnane RABIH <arabih@magic.fr> 0.1-30
- generic prefix for graphite, will be adapted at install
* Mon Jun 09 2014 Adnane RABIH <arabih@magic.fr> 0.1-29
- Dedicated LAMP Collectd Instance
* Thu May 22 2014 Adnane RABIH <arabih@magic.fr> 0.1-28
- DRDY err tail plugin added
* Wed May 21 2014 Adnane RABIH <arabih@magic.fr> 0.1-27
- own log file /var/log/collectd.log
* Mon May 19 2014 Adnane RABIH <arabih@magic.fr> 0.1-26
- Natif varnish plugin conf
* Wed May 14 2014 Adnane RABIH <arabih@magic.fr> 0.1-25
- sudo config for collectd user
* Wed May 14 2014 Adnane RABIH <arabih@magic.fr> 0.1-24
- creating collectd user for exec plugins, SMART pluging added
* Wed May 14 2014 Adnane RABIH <arabih@magic.fr> 0.1-23
- folder migration issues fix
* Wed May 14 2014 Adnane RABIH <arabih@magic.fr> 0.1-22
- Install moved from /opt to /usr/local/monitoring
* Tue May 13 2014 Adnane RABIH <arabih@magic.fr> 0.1-21
- New and Better CGP, based on JASON instead of php plugins
* Wed May 07 2014 Adnane RABIH <arabih@magic.fr> 0.1-20
- init script fix
* Tue May 06 2014 Adnane RABIH <arabih@magic.fr> 0.1-19
- cyanite curent IP in collectd.conf
* Tue Apr 15 2014 Adnane RABIH <arabih@magic.fr> 0.1-18
- NIC identification, df configuration rectified
* Tue Apr 15 2014 Adnane RABIH <arabih@magic.fr> 0.1-17
- Building error.
* Mon Apr 14 2014 Adnane RABIH <arabih@magic.fr> 0.1-16
- uptime plugin ON, df plugin correction 
* Mon Apr 14 2014 Adnane RABIH <arabih@magic.fr> 0.1-15
- touch df.conf before generating it's content, and some comments in this spec
* Mon Apr 14 2014 Adnane RABIH <arabih@magic.fr> 0.1-14
- auto partitions detection and generating generating for df plugin
* Mon Apr 14 2014 Adnane RABIH <arabih@magic.fr> 0.1-13
- apache module for plesk properly configured
* Mon Apr 14 2014 Adnane RABIH <arabih@magic.fr> 0.1-12
- specific postfix config file for plesk and lamp
* Sun Apr 13 2014 Adnane RABIH <arabih@magic.fr> 0.1-11
- Postfix queue monitoring
* Sun Apr 13 2014 Adnane RABIH <arabih@magic.fr> 0.1-10
- Postfix monitoring (LAMP 5X and plesk)
* Fri Apr 11 2014 Adnane RABIH <arabih@magic.fr> 0.1-9
- adding apache support for LAMP
* Thu Apr 10 2014 Adnane RABIH <arabih@magic.fr> 0.1-8
- removing gcc need, by instiling a pre compiled mongo-c-driver
* Thu Apr 10 2014 Adnane RABIH <arabih@magic.fr> 0.1-7
- Ported to LAMP 5X
* Thu Apr 03 2014 Adnane RABIH <arabih@magic.fr> 0.1-6
- host identification with ip adress
* Thu Apr 03 2014 Adnane RABIH <arabih@magic.fr> 0.1-5
- vhost, htapaswd enabled (standard config)
* Thu Apr 03 2014 Adnane RABIH <arabih@magic.fr> 0.1-4
- add include in conf file, and init file rectification
* Thu Apr 03 2014 Adnane RABIH <arabih@magic.fr> 0.1-3
- rectifiying some paths and Cleaning  
* Wed Apr 02 2014 Adnane RABIH <arabih@magic.fr> 0.1-2
- SPEC corrections
* Wed Apr 02 2014 Adnane RABIH <arabih@magic.fr> 0.1-1
- First build

